org.apache.tinkerpop.gremlin.driver.handler

## Class WebSocketGremlinRequestEncoder

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelOutboundHandlerAdapter
    - - io.netty.handler.codec.MessageToMessageEncoder<RequestMessage>
      - - org.apache.tinkerpop.gremlin.driver.handler.WebSocketGremlinRequestEncoder

- All Implemented Interfaces:
    io.netty.channel.ChannelHandler, io.netty.channel.ChannelOutboundHandler

      @ChannelHandler.Sharable
      public final class WebSocketGremlinRequestEncoder
      extends io.netty.handler.codec.MessageToMessageEncoder<RequestMessage>

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

      `io.netty.channel.ChannelHandler.Sharable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebSocketGremlinRequestEncoder(boolean binaryEncoding, MessageSerializer<?> serializer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `encode(io.netty.channel.ChannelHandlerContext channelHandlerContext, RequestMessage requestMessage, List<Object> objects)`

    - ### Methods inherited from class io.netty.handler.codec.MessageToMessageEncoder

      `acceptOutboundMessage, write`

    - ### Methods inherited from class io.netty.channel.ChannelOutboundHandlerAdapter

      `bind, close, connect, deregister, disconnect, flush, read`

    - ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

      `ensureNotSharable, exceptionCaught, handlerAdded, handlerRemoved, isSharable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.netty.channel.ChannelHandler

      `exceptionCaught, handlerAdded, handlerRemoved`

- - ### Constructor Detail

    - #### WebSocketGremlinRequestEncoder

          public WebSocketGremlinRequestEncoder(boolean binaryEncoding,
                                                MessageSerializer<?> serializer)

  - ### Method Detail

    - #### encode

          protected void encode(io.netty.channel.ChannelHandlerContext channelHandlerContext,
                                RequestMessage requestMessage,
                                List<Object> objects)
                         throws Exception

      Specified by:
        `encode` in class `io.netty.handler.codec.MessageToMessageEncoder<RequestMessage>`
      Throws:
        `Exception`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.